* {
    touch-action: manipulation;
}

body,html
{
	padding:0px;
	margin:0px;
}


body
{
	font-family:Courier new,monospace;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: moz-none;
	-ms-user-select: none;
	user-select: none;
	background:#ccc;
	overflow-y:auto;
}

body::selection{background:transparent;}
body::-moz-selection{background:transparent;}

#cookie
{
	width:128px;
	height:128px;
	background:url(/img/cookie.png);
	position:absolute;
	transform: scale(2);
	left:-64px;
	cursor:pointer;
	top: 100px;
}
#cookie:hover
{
	background-position:-128px;
}
#cookie:active
{
	background-position:-256px;
}
#cookie .cursor
{
	width:32px;
	height:32px;
	position:absolute;
	background:url(/img/cursor.png);
}

#pops
{
	position:absolute;
	left:0px;
	top:0px;
	z-index:10000;
	pointer-events:none;
}

.pop
{
	font-weight:bold;
	color:#fff;
	width:200px;
	height:20px;
	font-size:20px;
	text-align:center;
}

#rightPanel
{
	position:absolute;
	right:0px;
	top:0px;
	z-index:100000;
}
#store
{
	position:relative;
}
#store>div
{
	background:#eee no-repeat;
	width:256px;
	height:64px;
	padding-left:72px;
	cursor:pointer;
	border:#000 2px solid;
	position:relative;
}
#store>div:hover
{
	background-color:#fff;
}
#store>div:active
{
	background-color:#ccc;
}
#store>div b
{
	display:block;
}
#store>div.grayed
{
	background-color:#666;
	color:#f00;
}

#store>div .amount
{
	position:absolute;
	right:8px;
	top:8px;
	font-size:48px;
	color:#000;
	opacity:0.2;
}

#money
{
	background:url(/img/currency.png) no-repeat;
	background-color:#fff;
	background-color:rgba(255,255,255,0.75);
	border-radius:18px;
	position:absolute;
	left:0px;
	top:0px;
	margin:16px;
	height:28px;
	padding:4px 4px 0px 36px;
	font-weight:bold;
	font-size:24px;
	z-index:100;
}
#saveMenu
{
	position:absolute;
	left:0px;
	top:45px;
	margin:10px 16px;
	padding:2px 6px;
	font-weight:bold;
	font-size:14px;
	background:#fff;
	background:rgba(255,255,255,0.75);
	border-radius:8px;
	line-height:125%;
	z-index:100;
	font-size:12px;
}
#saveMenu .button
{
	text-decoration:underline;
	cursor:pointer;
	font-size:14px;
}
#updateLog
{
	position:fixed;
	left:0px;
	bottom:20px;
	margin:16px;
	padding:6px;
	font-weight:bold;
	font-size:12px;
	color:#666;
	background:#fff;
	background:rgba(255,255,255,0.75);
	border-radius:8px;
	line-height:125%;
	width:250px;
	height:300px;
	overflow-y:auto;
	z-index:100;
}
#updateLog b {color:#000;}


moni
{
	background:url(/img/currencysmall.png) no-repeat;
	width:16px;
	height:16px;
	display:inline-block;
	position:relative;
	top:4px;
	margin-right:-8px;
}

#grandmas
{
	position:absolute;
	left:100px;
	width:240px;
}
.grandma
{
	position:absolute;
	background:url(/img/grandma.png);
	width:24px;
	height:48px;
}
.goldengrandma{background:url(/img/goldengrandma.png);}
.factorygrandma{background:url(/img/factorygrandma.png);}
.minegrandma{background:url(/img/minegrandma.png);}
.shipmentgrandma{background:url(/img/shipmentgrandma.png);}
.portalgrandma{background:url(/img/portalgrandma.png);}
.pledgedgrandma{background:url(/img/pledgedgrandma.png);}
.timegrandma{background:url(/img/timegrandma.png);}
#factories
{
	position:absolute;
	left:-420px;
	width:320px;
}
.factory
{
	position:absolute;
	background:url(/img/factory.png);
	width:32px;
	height:48px;
}
#mines
{
	position:absolute;
	left:100px;
	width:160px;
	top:100px;
}
.mine
{
	position:absolute;
	background:url(/img/mine.png);
	width:32px;
	height:32px;
}
#shipments
{
	position:absolute;
	left:-340px;
	width:240px;
	top:100px;
}
.shipment
{
	position:absolute;
	background:url(/img/shipment.png);
	width:48px;
	height:48px;
}
#labs
{
	position:absolute;
	left:-120px;
	width:240px;
	top:180px;
}
.lab
{
	position:absolute;
	background:url(/img/lab.png);
	width:24px;
	height:32px;
}
#portals
{
	position:absolute;
	left:-340px;
	width:240px;
	top:180px;
}
.portal
{
	position:absolute;
	background:url(/img/portal.png);
	width:48px;
	height:48px;
}
#times
{
	position:absolute;
	left:100px;
	width:240px;
	top:180px;
}
.time
{
	position:absolute;
	background:url(/img/timemachine.png);
	width:48px;
	height:48px;
}

#comment
{
	position:absolute;
	left:-200px;
	top:-115px;
	width:400px;
	font-weight:bold;
	font-size:16px;
	text-align:center;
	background-color:#fff;
	background-color:rgba(255,255,255,0.75);
	border-radius:18px;
}


#middle
{
	position:absolute;
	left:50%;
	top:150px;
	width:0px;
}

#credits
{
	width:100%;
	height:20px;
	background:#666;
	color:#fff;
	position:fixed;
	bottom:0px;
	margin:0px;
	font-size:12px;
	border-top:2px solid #999;
	z-index:100000;
	display: none;
}
#credits span
{
	margin:4px;
}
a {color:#fff;}

#alert
{
	background-color:#666;
	color:#fff;
	border:2px solid #000;
	position:fixed;
	right:0px;
	bottom:0px;
	padding:8px;
	z-index:20000000;
	visibility:hidden;
	font-size:14px;
}
#ads
{
	width:332px;
	text-align:center;
	margin-top:16px;
}

#tip
{
	position:fixed;
	left:0px;
	bottom:20px;
	width:100%;
	height:20px;
}